Vagrant.configure("2") do |config|
  config.vm.box = "generic/debian10"
  config.vm.network :private_network, ip: "192.168.42.40"
  config.vm.network "forwarded_port", guest: 3000, host: 3000
  config.vm.network "forwarded_port", guest: 5000, host: 5000
  config.vm.provision "shell", path: "vagrant/bootstrap.sh"
  config.vm.synced_folder "./dashboard", "/vagrant/dashboard", type: "rsync", rsync__exclude: ['.idea/', '.git/', 'node_modules/'], owner: "vagrant", group: "vagrant"
  config.vm.synced_folder "./dashboardServer", "/vagrant/dashboardServer", type: "rsync", rsync__exclude: ['.idea/', '.git/', 'node_modules/'], owner: "vagrant", group: "vagrant"
  config.vm.synced_folder "./vagrant/etc", "/vagrant/etc", owner: "vagrant", group: "vagrant"
  config.vm.provider "virtualbox" do |v|
    v.memory = 2048
    v.cpus = 2
    v.name = "hortpro-eltern-app"
    v.customize ['modifyvm', :id, '--cableconnected1', 'on']
  end
end
